#
# spec file for package spec (Version 2.0)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild

Name:         dapple
License:      GPL
Group:        unsorted
Autoreqprov:  on
Version:      1.5alpha3
Release:      2.6
Summary:      Apple ][ Emulator
Source:       dapl142-15a3.zip
Patch:        %name.dif
Patch1:       %name-return.patch
BuildRequires: allegro-devel unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Needs an Apple ][ ROM in /usr/share/dapple/apple.rom to work.

%prep
%setup -c -T -n %name
unzip %SOURCE0
%patch
%patch1

%build
gcc $RPM_OPT_FLAGS -o dap altbanks.c altkey.c binmanip.c clock.c cpu65c02.c dapple.c debug.c disk.c i18n.c \
           ini.c joystick.c lldisk.c massstor.c membanks.c pic.c prtsc.c video.c \
           `allegro-config --cflags --libs`

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/%name
install -m 644 *.rom $RPM_BUILD_ROOT/usr/share/%name
install -D -m 755 dap $RPM_BUILD_ROOT/usr/bin/%name

%files
%defattr(-,root,root)
%doc readme.1st
/usr/bin/%name
/usr/share/%name

%changelog
* Mon Nov 17 2008 - uli@suse.de
- fixed rpmlint complaints
